YSTest: YSLib::Components::ScrollEventArgs Struct Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
YSLib::Components::ScrollEventArgs Struct Reference

滚动事件参数类。 More...

`#include <scroll.h>`

Inheritance diagram for YSLib::Components::ScrollEventArgs:
[legend]
Collaboration diagram for YSLib::Components::ScrollEventArgs:
[legend]

## Public Types

typedef float | ValueType
| 值类型。

## Public Member Functions

| ScrollEventArgs (IWidget &wgt, ScrollCategory t, ValueType val)
| 构造：使用指定事件源、滚动事件类型和值。
| ScrollEventArgs (IWidget &wgt, ScrollCategory t, ValueType val, ValueType old_val)
| 构造：使用指定事件源、滚动事件类型、值和旧值。
ValueType | GetValue () const ynothrow
| 取值。
ValueType | GetOldValue () const ynothrow
| 取旧值。
void | SetValue (ValueType _tempArgName)
| 设置值。
void | SetOldValue (ValueType _tempArgName)
| 设置旧值。
Public Member Functions inherited from YSLib::Components::UIEventArgs
| UIEventArgs (IWidget &wgt)
| UIEventArgs (const UIEventArgs &)=default
| 复制构造：默认实现。
UIEventArgs & | operator= (const UIEventArgs &)=default
| 复制赋值：默认实现。
IWidget & | GetSender () const ynothrow
void | SetSender (IWidget &wgt)

## Public Attributes

ScrollCategory | Category
| 滚动事件类别。

## Detailed Description

滚动事件参数类。

Since
  build 193

Definition at line 64 of file scroll.h.

## Member Typedef Documentation

typedef float YSLib::Components::ScrollEventArgs::ValueType

值类型。

Definition at line 67 of file scroll.h.

## Constructor & Destructor Documentation

YSLib::Components::ScrollEventArgs::ScrollEventArgs | ( | IWidget & | wgt,
|  | ScrollCategory | t,
|  | ValueType | val
| ) |  |

inline

构造：使用指定事件源、滚动事件类型和值。

Note
  值等于旧值。

Definition at line 79 of file scroll.h.

YSLib::Components::ScrollEventArgs::ScrollEventArgs | ( | IWidget & | wgt,
|  | ScrollCategory | t,
|  | ValueType | val,
|  | ValueType | old_val
| ) |  |

inline

构造：使用指定事件源、滚动事件类型、值和旧值。

Definition at line 86 of file scroll.h.

## Member Function Documentation

ValueType YSLib::Components::ScrollEventArgs::GetOldValue | ( |  | ) | const

inline

取旧值。

Since
  build 271

Definition at line 101 of file scroll.h.

ValueType YSLib::Components::ScrollEventArgs::GetValue | ( |  | ) | const

inline

取值。

Since
  build 271

Definition at line 96 of file scroll.h.

void YSLib::Components::ScrollEventArgs::SetOldValue | ( | ValueType | _tempArgName | ) |

inline

设置旧值。

Since
  build 271

Definition at line 112 of file scroll.h.

void YSLib::Components::ScrollEventArgs::SetValue | ( | ValueType | _tempArgName | ) |

inline

设置值。

Since
  build 271

Definition at line 107 of file scroll.h.

## Member Data Documentation

ScrollCategory YSLib::Components::ScrollEventArgs::Category

滚动事件类别。

Since
  build 271

Definition at line 73 of file scroll.h.

The documentation for this struct was generated from the following file:

- scroll.h